Group: Development/C
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: /usr/bin/sphinx-build python3-module-setuptools
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name pykka
%global modname   Pykka
%global srcurl    https://github.com/jodal/%{name}

%global commit0   9c22e020876383683b32e08aa5bb45eade6201f8
%global date0     20181208

Name:             pykka
Version:          1.3
Release:          alt1_0.4.20181208git
Summary:          Python library that provides concurrency using actor model
License:          ASL 2.0
URL:              http://www.%{name}.org/
%if 0%{?date0}
Source0:          %{srcurl}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz
%else
Source0:          %{srcurl}/tarball/v%{version}/%{name}-%{version}.tar.gz
%endif
BuildRequires:    python3-devel
BuildRequires:    python3-module-sphinx
BuildRequires:    python3-module-nose
BuildArch:        noarch

%global _description \
The goal of %{modname} is to provide easy to use concurrency abstractions for Python\
by using the actor model.\
\
%{modname} provides an actor API with two different implementations:\
\
 * ThreadingActor is built on the Python Standard Librarya.'s threading and Queue\
   modules, and has no dependencies outside Python itself. It plays well\
   together with non-actor threads.\
 * GeventActor is built on the gevent library. gevent is a coroutine-based\
   Python networking library that uses greenlet to provide a high-level\
   synchronous API on top of libevent event loop. It is generally faster, but\
   doesn't like playing with other threads.\
\
Much of the naming in %{modname} is inspired by the Akka project which implements\
actors on the JVM. Though, %{modname} does not aim to be a Python port of Akka.
Source44: import.info

%description
%_description

%package -n python3-module-Pykka
Group: Development/C
Summary:        Python library that provides concurrency using actor model
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-module-Pykka
%_description

This package provides %{modname}'s Python 3 libraries

%package docs
Group: Documentation
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       devhelp

%description docs
This package provides the documentation for %{name}, e.g. the API as
devhelp docs, and examples.


%prep
%setup -q -n%{name}-%{commit0}

%build
%python3_build
pushd docs
SPHINXBUILD='sphinx-build-3 %{_smp_mflags}' make %{_smp_mflags} devhelp

%install
%python3_install
mkdir -p $RPM_BUILD_ROOT%{_datarootdir}/devhelp/%{modname}
cp -rp docs/_build/devhelp $RPM_BUILD_ROOT%{_datarootdir}/devhelp/%{modname}

%check
# pytest hangs, use nose instead
nosetests-3 -v tests


%files -n python3-module-Pykka
%doc --no-dereference LICENSE
%doc README.rst
%{python3_sitelibdir_noarch}/%{modname}-*-py3.?.egg-info
%{python3_sitelibdir_noarch}/%{name}/

%files docs
%doc --no-dereference LICENSE
%doc examples/
%{_datarootdir}/devhelp/%{modname}/


%changelog
* Tue Mar 05 2019 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_0.4.20181208git
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_3
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_2
- update to new release by fcimport

* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_1
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt2_4
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.15-alt2_3
- rebuild to get rid of unmets

* Fri Jan 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_3
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_2
- initial fc import

